Documentation

Get all AI models

GET
/api/v1/external/models

Scope requis : read:models.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de requête

search?string
filter*
page*number
Plage1 <= value
Défaut1
pageSize*number
Plage1 <= value
Défaut10
sortBy?string
sortDirection*string
Défaut"DESC"

Valeur parmi

  • "ASC"
  • "DESC"
disablePagination*boolean
Défautfalse

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/models?scope=MY_ORGANIZATION&status=TRAINING&page=1&pageSize=10&sortDirection=ASC&disablePagination=false"
{  "data": [    {      "id": "string",      "externalModelId": "string",      "name": "string",      "description": "string",      "picture": "string",      "capabilities": {        "supportedContentTypes": [          "text"        ]      },      "organizationId": "string",      "organizationName": "string",      "isOreus": true,      "status": "string",      "category": "NLP_LLM",      "type": "TEXT_GENERATION",      "cost": 0,      "deployedVersion": {        "id": "string",        "version": "string",        "process": 0,        "powerIndicator": 0      },      "lastActivityDate": "2019-08-24T14:15:22Z",      "downloads": 0,      "isOnStore": true,      "sizeBytes": 0    }  ],  "meta": {    "currentPage": 0,    "totalItemsCount": 0,    "totalPagesCount": 0,    "itemsPerPage": 0  }}